using System; 
using System.Collections.Generic; 
using Server.Items; 

namespace Server.Mobiles 
{ 
	public class SBWeaver: SBInfo 
	{ 
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 

		public SBWeaver() 
		{ 
		} 

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } } 

		public class InternalBuyInfo : List<GenericBuyInfo> 
		{ 
			public InternalBuyInfo() 
			{
				Add( new GenericBuyInfo( typeof( Dyes ), 8, 20, 0xFA9, 0 ) ); 
				Add( new GenericBuyInfo( typeof( DyeTub ), 8, 20, 0xFAB, 0 ) ); 
				Add( new GenericBuyInfo( typeof( PigmentTub ), PigmentTub.tubCost(), 20, 0xFAB, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Scissors ), 11, 20, 0xF9F, 0 ) );

				Add( new GenericBuyInfo( typeof( UncutCloth ), 6, 20, 0x1761, Utility.RandomHue() ) ); 
				Add( new GenericBuyInfo( typeof( UncutCloth ), 6, 20, 0x1762, Utility.RandomHue() ) ); 
				Add( new GenericBuyInfo( typeof( UncutCloth ), 6, 20, 0x1763, Utility.RandomHue() ) ); 
				Add( new GenericBuyInfo( typeof( UncutCloth ), 6, 20, 0x1764, Utility.RandomHue() ) ); 

				Add( new GenericBuyInfo( typeof( BoltOfCloth ), 150, 20, 0xf9B, Utility.RandomHue() ) ); 
				Add( new GenericBuyInfo( typeof( BoltOfCloth ), 150, 20, 0xf9C, Utility.RandomHue() ) ); 
				Add( new GenericBuyInfo( typeof( BoltOfCloth ), 150, 20, 0xf96, Utility.RandomHue() ) ); 
				Add( new GenericBuyInfo( typeof( BoltOfCloth ), 150, 20, 0xf97, Utility.RandomHue() ) ); 

				Add( new GenericBuyInfo( typeof( DarkYarn ), 18, 20, 0xE1D, 0 ) );
				Add( new GenericBuyInfo( typeof( LightYarn ), 18, 20, 0xE1E, 0 ) );
				Add( new GenericBuyInfo( typeof( LightYarnUnraveled ), 18, 20, 0xE1F, 0 ) );

				Add( new GenericBuyInfo( typeof( Cotton ), 102, 20, 0xDF9, 0 ) );
				Add( new GenericBuyInfo( typeof( Wool ), 62, 20, 0xDF8, 0 ) );
				Add( new GenericBuyInfo( typeof( Flax ), 102, 20, 0x1A9C, 0 ) );
				Add( new GenericBuyInfo( typeof( SpoolOfThread ), 18, 20, 0xFA0, 0 ) );
			} 
		} 

		public class InternalSellInfo : GenericSellInfo 
		{ 
			public InternalSellInfo() 
			{ 
				Add( typeof( Dyes ), 4 );
				Add( typeof( DyeTub ), 4 );
				Add( typeof( PigmentTub ), (int)(PigmentTub.tubCost()/2) ); 
				Add( typeof( Scissors ), 6 ); 

				Add( typeof( LightYarnUnraveled ), 1 );
				Add( typeof( LightYarn ), 1 );
				Add( typeof( DarkYarn ), 1 );
				Add( typeof( SpoolOfThread ), 1 );

				Add( typeof( Flax ), 2 );
				Add( typeof( Cotton ), 2 );
				Add( typeof( Wool ), 3 );
			} 
		} 
	} 
}